Get the parking of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/parking \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/parking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/parking"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"has_parking": true,
"condominium_parking_lots": 123,
"bdnb_parking_lots": 123,
"osm_parkings": [
{
"id": "<string>",
"name": "<string>",
"capacity": 0,
"type": "<string>",
"access": "<string>",
"fee": "<string>",
"operator": "<string>",
"area_m2": 123,
"match": "intersects",
"distance_m": 123
}
],
"ev_charging_stations": [
{
"id": "<string>",
"name": "<string>",
"operator": "<string>",
"owner": "<string>",
"charging_points": 0,
"max_power_kw": 123,
"location_type": "<string>",
"distance_m": 123
}
]
},
"meta": {}
}Buildings
Get the parking of a building
Parking of the building: condominium parking lots (RNIC), garage lots (BDNB), OpenStreetMap parkings intersecting or within 50 m, EV charging stations nearby (IRVE).
GET
/
v1
/
buildings
/
{id}
/
parking
Get the parking of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/parking \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/parking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/parking"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"has_parking": true,
"condominium_parking_lots": 123,
"bdnb_parking_lots": 123,
"osm_parkings": [
{
"id": "<string>",
"name": "<string>",
"capacity": 0,
"type": "<string>",
"access": "<string>",
"fee": "<string>",
"operator": "<string>",
"area_m2": 123,
"match": "intersects",
"distance_m": 123
}
],
"ev_charging_stations": [
{
"id": "<string>",
"name": "<string>",
"operator": "<string>",
"owner": "<string>",
"charging_points": 0,
"max_power_kw": 123,
"location_type": "<string>",
"distance_m": 123
}
]
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I